var
  a, b, c: string;

begin
  a := '1';
  b := '0';
  writeln(a);
  writeln(b);
  repeat
    c := b + a;
    a := b;
    b := c;
    if (length(c) > 100) then
      break;
    writeln(c);
  until false;
end.